Package com.independentsoft.graph.changenotifications

# Enum Class LifecycleEventType

java.lang.Object
java.lang.Enum<LifecycleEventType>
com.independentsoft.graph.changenotifications.LifecycleEventType

All Implemented Interfaces:
  `Serializable`, `Comparable<LifecycleEventType>`, `Constable`

public enum LifecycleEventType extends Enum<LifecycleEventType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MISSED`
  `NONE`
  `REAUTHORIZATION_REQUIRED`
  `SUBSCRIPTION_REMOVED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LifecycleEventType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LifecycleEventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MISSED

    public static final LifecycleEventType MISSED

  - ### SUBSCRIPTION_REMOVED

    public static final LifecycleEventType SUBSCRIPTION_REMOVED

  - ### REAUTHORIZATION_REQUIRED

    public static final LifecycleEventType REAUTHORIZATION_REQUIRED

  - ### NONE

    public static final LifecycleEventType NONE

- ## Method Details

  - ### values

    public static LifecycleEventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LifecycleEventType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null